Package be.ehealth.businessconnector.chapterIV.builders

# Interface ConsultationBuilder

All Known Implementing Classes:
  `ConsultationBuilderImpl`

public interface ConsultationBuilder
interface for builder of consultation request objects. Default impl : `ConsultationBuilderImpl` Factory : `BuilderFactory`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChapterIVBuilderResponse`
  `build(FolderType folder, boolean isTest, ChapterIVReferences references, Instant agreementStartDate)`
  `ConsultChap4MedicalAdvisorAgreementRequest`
  `buildRequest(FolderType folder, boolean isTest, ChapterIVReferences references, Instant agreementStartDate)`
  `ConsultChap4MedicalAdvisorAgreementRequest`
  `buildRequest(FolderType folder, boolean isTest, String commonReference, String commonNIPReference, Instant agreementStartDate)`
  Deprecated.
  , use `ConsultationBuilder`.buildRequest(FolderType folder, boolean isTest, ChapterIVReferences references, Instant agreementStartDate).

- ## Method Details

  - ### buildRequest

    @Deprecated ConsultChap4MedicalAdvisorAgreementRequest buildRequest(FolderType folder, boolean isTest, String commonReference, String commonNIPReference, Instant agreementStartDate) throws ChapterIVBusinessConnectorException, TechnicalConnectorException
    Deprecated.
    , use `ConsultationBuilder`.buildRequest(FolderType folder, boolean isTest, ChapterIVReferences references, Instant agreementStartDate).
    builds the `ConsultChap4MedicalAdvisorAgreementRequest` the folder should contain at least the following elements for the connector to work :
    - the ids list in folder.patient.ids should contain at least one id. for the agreementStartDate parameter utility method is proviced in `FolderTypeUtils` .retrieveConsultationStartDateOrAgreementStartDate(FolderType folder), if this value is null you need to provide the agreementStartDate yourself , following the chapterIV documentation
    Parameters:
      `folder` - `FolderType` contains the information to retrieve/send
      `isTest` - boolean indicating if this message is a test or not
      `commonReference` - String used to fill out commonReference field in CommonInput tag
      `commonNIPReference` - String used to fill out commonNipReference field in CommonInput tag
      `agreementStartDate` - not nullable : the agreementStartDate to be used in the request for the webservice : value : see documentation chapterIV
    Returns:
      ConsultChap4MedicalAdvisorAgreementRequest
    Throws:
      `ChapterIVBusinessConnectorException`
      `TechnicalConnectorException`

  - ### buildRequest

    ConsultChap4MedicalAdvisorAgreementRequest buildRequest(FolderType folder, boolean isTest, ChapterIVReferences references, Instant agreementStartDate) throws ChapterIVBusinessConnectorException, TechnicalConnectorException
    Parameters:
      `folder` - `FolderType` contains the information to retrieve/send
      `isTest` - boolean indicating if this message is a test or not
      `references` - contains all the references needed by ChapterIV
      `agreementStartDate` - not nullable : the agreementStartDate to be used in the request for the webservice : value : see documentation chapterIV
    Returns:
      filled out ConsultChap4MedicalAdvisorAgreementRequest
    Throws:
      `ChapterIVBusinessConnectorException`
      `TechnicalConnectorException`

  - ### build

    ChapterIVBuilderResponse build(FolderType folder, boolean isTest, ChapterIVReferences references, Instant agreementStartDate) throws ChapterIVBusinessConnectorException, TechnicalConnectorException
    Parameters:
      `folder` - `FolderType` contains the information to retrieve/send
      `isTest` - boolean indicating if this message is a test or not
      `references` - contains all the references needed by ChapterIV
      `agreementStartDate` - not nullable : the agreementStartDate to be used in the request for the webservice : value : see documentation chapterIV
    Returns:
      filled out ConsultChap4MedicalAdvisorAgreementRequest
    Throws:
      `ChapterIVBusinessConnectorException`
      `TechnicalConnectorException`